News:

SMF 2.1.4 has been released! Take it for a spin! Read more.

Main Menu

Snowflakes

Started by Chen Zhen, December 24, 2018, 06:44:11 AM

Previous topic - Next topic

Chen Zhen

@lord alibaski:

I noticed you're using SMF 2.1.4 and you appear to have the the "child boards as drop-down" mod installed. As far as I can tell that mod is only compatible with the SMF 2.0 branch.

Did you edit that mod so it will work with SMF 2.1.4?
Is it possible that it is conflicting with the modification settings navigation links?

My SMF Mods & Plug-Ins

WebDev

"Either you repeat the same conventional doctrines everybody is saying, or else you say something true, and it will sound like it's from Neptune." - Noam Chomsky

lord alibaski

@ Chen Zhen

After me posting last night I thought to myself was it the drop down mod causing problems, this could be the issue the mod package isn't there anymore but for some strange reason it looks like it stayed installed when I did a full upgrade to SMF 2.1.4 and now I can't remove it, I can disable it but this doesn't fix the issue.

The issue is there on all theme's on my live forum but is completely fine on wampserver so it could definitely be the drop down mod causing the problem, it's not a problem to worry about.

Chen Zhen

It sounds like leftover hooks loading & executing files/functions for that mod. You can use SMF maintenance to manually remove those hooks.

My SMF Mods & Plug-Ins

WebDev

"Either you repeat the same conventional doctrines everybody is saying, or else you say something true, and it will sound like it's from Neptune." - Noam Chomsky

lord alibaski

#143
Quote from: Chen Zhen on December 11, 2023, 04:46:13 PMIt sounds like leftover hooks loading & executing files/functions for that mod. You can use SMF maintenance to manually remove those hooks.

Just done that but for some reason it still wont install and I have removed all modifications and cleaned all old hooks that were not needed.

Brilliant now I tried to re-install SimpleAudioVideoEmbedder7.0.3 and now I have a HTTP500 error, last time I got this it was a modification parse error but I forgot how to fix it.

Chen Zhen

  • uninstall all mods
  • remove all hooks
  • use the SMF 2.1.4 upgrade package to overwrite all SMF default/main files
  • install all desired mods compatible with the SMF 2.1 branch

My SMF Mods & Plug-Ins

WebDev

"Either you repeat the same conventional doctrines everybody is saying, or else you say something true, and it will sound like it's from Neptune." - Noam Chomsky

lord alibaski

Just done all that and I still having problems re-installing SimpleAudioVideoEmbedder7.0.3 I will see what vb says about it.

clubkadettspain

Hi I installed it but i cant see any changes after applied, i have smf 2.1.4 version i tested it with default theme and other one and nothing, i didnt see errors on installation... thanks

Chen Zhen


You need to navigate to:
Administration Center -> Modifications Settings -> Snowflakes

From that page you can enable the mod & adjust its settings.

My SMF Mods & Plug-Ins

WebDev

"Either you repeat the same conventional doctrines everybody is saying, or else you say something true, and it will sound like it's from Neptune." - Noam Chomsky

JasonSGN

I've had the same issue with v1.83 too. I've been using v1.82 and earlier for years with no issues, but couldn't get v1.83 to show the snowflakes and did not get any errors. I've just stuck with v1.82 since it worked on my forum.

Chen Zhen

With version 1.83 I added disabling light strands for a Y coordinate range because they conflict with SMF's top user JS navigation. When the cursor is between 0 & the # set in admin it hides the lights.

For those having issues, set the following:

Ignore Y coordinate setting for "Xmas Lights" effect [enable]

Disable light effects for Y coordinate range [400]

I will look into any issues with v1.83 but it works on SMF 2.1 with a few themes that I tested.

@JasonSGN: was this behavior on the default theme, custom theme or both? If on a custom theme, which one? Which version of SMF?

My SMF Mods & Plug-Ins

WebDev

"Either you repeat the same conventional doctrines everybody is saying, or else you say something true, and it will sound like it's from Neptune." - Noam Chomsky

JasonSGN

Quote from: Chen Zhen on June 19, 2024, 08:26:58 PM@JasonSGN: was this behavior on the default theme, custom theme or both? If on a custom theme, which one? Which version of SMF?

I'm using the default theme with version 2.1.4. I'll try your settings above to see if that helps, but I'm fine sticking with v1.82 if there are no security issues. Thanks.

Advertisement: